Package org.drinkless.tdlib

# Class TdApi.SendQuickReplyShortcutMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Messages>
org.drinkless.tdlib.TdApi.SendQuickReplyShortcutMessages

Enclosing class:
  `TdApi`

public static class TdApi.SendQuickReplyShortcutMessages extends TdApi.Function<TdApi.Messages>
Sends messages from a quick reply shortcut. Requires Telegram Business subscription. Can't be used to send paid messages.

Returns `Messages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to which to send messages.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `sendingId`
  Non-persistent identifier, which will be returned back in messageSendingStatePending object and can be used to match sent messages and corresponding updateNewMessage updates.
  `int`
  `shortcutId`
  Unique identifier of the quick reply shortcut.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendQuickReplyShortcutMessages()`
  Default constructor for a function, which sends messages from a quick reply shortcut.
  `SendQuickReplyShortcutMessages(long chatId, int shortcutId, int sendingId)`
  Creates a function, which sends messages from a quick reply shortcut.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which to send messages. The chat must be a private chat with a regular user.

  - ### shortcutId

    public int shortcutId
    Unique identifier of the quick reply shortcut.

  - ### sendingId

    public int sendingId
    Non-persistent identifier, which will be returned back in messageSendingStatePending object and can be used to match sent messages and corresponding updateNewMessage updates.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendQuickReplyShortcutMessages

    public SendQuickReplyShortcutMessages()
    Default constructor for a function, which sends messages from a quick reply shortcut. Requires Telegram Business subscription. Can't be used to send paid messages.

    Returns `Messages`

  - ### SendQuickReplyShortcutMessages

    public SendQuickReplyShortcutMessages(long chatId, int shortcutId, int sendingId)
    Creates a function, which sends messages from a quick reply shortcut. Requires Telegram Business subscription. Can't be used to send paid messages.

    Returns `Messages`

    Parameters:
      `chatId` - Identifier of the chat to which to send messages. The chat must be a private chat with a regular user.
      `shortcutId` - Unique identifier of the quick reply shortcut.
      `sendingId` - Non-persistent identifier, which will be returned back in messageSendingStatePending object and can be used to match sent messages and corresponding updateNewMessage updates.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Messages>`
    Returns:
      this.CONSTRUCTOR